curl --request PUT \
--url https://sandbox.birrpay.io/v2/profiles/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--header 'X-Merchant-Id: <x-merchant-id>' \
--data '
{
"profile_name": "shoe_business"
}
'import requests
url = "https://sandbox.birrpay.io/v2/profiles/{id}"
payload = { "profile_name": "shoe_business" }
headers = {
"X-Merchant-Id": "<x-merchant-id>",
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-Merchant-Id': '<x-merchant-id>',
Authorization: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({profile_name: 'shoe_business'})
};
fetch('https://sandbox.birrpay.io/v2/profiles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"merchant_id": "y3oqhf46pyzuxjbcn2giaqnb44",
"id": "pro_abcdefghijklmnopqrstuvwxyz",
"profile_name": "<string>",
"enable_payment_response_hash": true,
"redirect_to_merchant_with_http_post": true,
"is_tax_connector_enabled": true,
"is_network_tokenization_enabled": false,
"is_click_to_pay_enabled": false,
"is_clear_pan_retries_enabled": true,
"split_txns_enabled": "skip",
"return_url": "https://www.example.com/success",
"payment_response_hash_key": "<string>",
"webhook_details": {
"payment_statuses_enabled": [
"succeeded",
"failed",
"partially_captured",
"requires_merchant_action"
],
"refund_statuses_enabled": [
"success",
"failure"
],
"webhook_version": "1.0.2",
"webhook_username": "ekart_retail",
"webhook_password": "ekart@123",
"webhook_url": "www.ekart.com/webhooks",
"payment_created_enabled": true,
"payment_succeeded_enabled": true,
"payment_failed_enabled": true,
"payout_statuses_enabled": [
"success",
"failed"
]
},
"metadata": {},
"applepay_verified_domains": [
"<string>"
],
"session_expiry": 900,
"payment_link_config": {
"theme": "#4E6ADD",
"logo": "https://i.pinimg.com/736x/4d/83/5c/4d835ca8aafbbb15f84d07d926fda473.jpg",
"seller_name": "hyperswitch",
"sdk_layout": "accordion",
"display_sdk_only": true,
"enabled_saved_payment_method": true,
"hide_card_nickname_field": true,
"show_card_form_by_default": true,
"transaction_details": [
{
"key": "Policy-Number",
"value": "297472368473924",
"ui_configuration": {
"position": 5,
"is_key_bold": true,
"is_value_bold": true
}
}
],
"background_image": {
"url": "https://birrpay.io/favicon.ico",
"position": "left",
"size": {
"Variants": "cover"
}
},
"details_layout": "layout1",
"payment_button_text": "<string>",
"custom_message_for_card_terms": "<string>",
"custom_message_for_payment_method_types": [
{
"payment_method": "card",
"payment_method_types": [
{
"message": {
"display_mode": "custom",
"value": "Sample message"
},
"payment_method_type": "credit"
}
]
}
],
"payment_button_colour": "<string>",
"skip_status_screen": true,
"payment_button_text_colour": "<string>",
"background_colour": "<string>",
"sdk_ui_rules": {},
"payment_link_ui_rules": {},
"enable_button_only_on_form_ready": true,
"payment_form_header_text": "<string>",
"payment_form_label_type": "above",
"show_card_terms": "always",
"is_setup_mandate_flow": true,
"color_icon_card_cvc_error": "<string>",
"domain_name": "<string>",
"business_specific_configs": {},
"allowed_domains": [
"<string>"
],
"branding_visibility": true
},
"authentication_connector_details": {
"authentication_connectors": [
"threedsecureio"
],
"three_ds_requestor_url": "<string>",
"three_ds_requestor_app_url": "<string>"
},
"use_billing_as_payment_method_billing": true,
"extended_card_info_config": {
"public_key": "<string>",
"ttl_in_secs": 900
},
"collect_shipping_details_from_wallet_connector_if_required": false,
"collect_billing_details_from_wallet_connector_if_required": false,
"always_collect_shipping_details_from_wallet_connector": false,
"always_collect_billing_details_from_wallet_connector": false,
"is_connector_agnostic_mit_enabled": true,
"payout_link_config": {
"allowed_domains": [
"<string>"
],
"logo": "https://birrpay.io/favicon.ico",
"merchant_name": "BirrPay",
"theme": "#4285F4",
"domain_name": "<string>",
"form_layout": "tabs",
"payout_test_mode": false
},
"outgoing_webhook_custom_http_headers": {},
"order_fulfillment_time": 900,
"order_fulfillment_time_origin": "create",
"tax_connector_id": "<string>",
"should_collect_cvv_during_payment": true,
"authentication_product_ids": {},
"card_testing_guard_config": {
"card_ip_blocking_status": "enabled",
"card_ip_blocking_threshold": 123,
"guest_user_card_blocking_status": "enabled",
"guest_user_card_blocking_threshold": 123,
"customer_id_blocking_status": "enabled",
"customer_id_blocking_threshold": 123,
"card_testing_guard_expiry": 123
},
"is_debit_routing_enabled": true,
"merchant_business_country": "AF",
"is_iframe_redirection_enabled": false,
"is_external_vault_enabled": true,
"external_vault_connector_details": {
"vault_connector_id": "<string>",
"vault_sdk": "vgs_sdk",
"vault_token_selector": [
{
"token_type": "card_number"
}
]
},
"merchant_category_code": "5411",
"merchant_country_code": "<string>",
"revenue_recovery_retry_algorithm_type": "monitoring",
"billing_processor_id": "<string>",
"is_l2_l3_enabled": true
}Profile - Update
Update the profile
Authorizations
Format: admin-api-key=<admin-api-key>
Admin API keys allow you to perform some privileged actions such as creating a merchant account and Connector account. This is only used during development.
Headers
Merchant ID of the profile.
Path Parameters
The unique identifier for the profile
Body
The name of profile
64The URL to redirect after the completion of the operation
255"https://www.example.com/success"
A boolean value to indicate if payment response hash needs to be enabled
true
Refers to the hash key used for calculating the signature for webhooks and redirect response. If the value is not provided, a value is automatically generated.
A boolean value to indicate if redirect to merchant with http post needs to be enabled
true
Show child attributes
Show child attributes
Metadata is useful for storing additional, unstructured information on an object.
Will be used to determine the time till which your payment will be active once the payment session starts
x >= 0900
create, confirm Verified Apple Pay domains for a particular profile
Client Secret Default expiry for all payments created under this profile
x >= 0900
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Whether to use the billing details passed when creating the intent as payment method billing
A boolean value to indicate if customer shipping details needs to be collected from wallet connector only if it is required field for connector (Eg. Apple Pay, Google Pay etc)
false
A boolean value to indicate if customer billing details needs to be collected from wallet connector only if it is required field for connector (Eg. Apple Pay, Google Pay etc)
false
A boolean value to indicate if customer shipping details needs to be collected from wallet connector irrespective of connector required fields (Eg. Apple pay, Google pay etc)
false
A boolean value to indicate if customer billing details needs to be collected from wallet connector irrespective of connector required fields (Eg. Apple pay, Google pay etc)
false
Indicates if the MIT (merchant initiated transaction) payments can be made connector
agnostic, i.e., MITs may be processed through different connector than CIT (customer
initiated transaction) based on the routing rules.
If set to false, MIT will go through the same connector as the CIT.
Object for GenericLinkUiConfig
Show child attributes
Show child attributes
These key-value pairs are sent as additional custom headers in the outgoing webhook request. It is recommended not to use more than four key-value pairs.
Merchant Connector id to be stored for tax_calculator connector
Indicates if tax_calculator connector is enabled or not.
If set to true tax_connector_id will be checked.
Indicates if network tokenization is enabled or not.
Indicates if click to pay is enabled or not.
false
Product authentication ids
Show child attributes
Show child attributes
Indicates if clear pan retries is enabled or not.
Indicates if debit routing is enabled or not
AF, AX, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BQ, BA, BW, BV, BR, IO, BN, BG, BF, BI, KH, CM, CA, CV, KY, CF, TD, CL, CN, CX, CC, CO, KM, CG, CD, CK, CR, CI, HR, CU, CW, CY, CZ, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, VA, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KP, KR, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MK, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, MM, NA, NR, NP, NL, NC, NZ, NI, NE, NG, NU, NF, MP, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, RE, RO, RU, RW, BL, SH, KN, LC, MF, PM, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SX, SK, SI, SB, SO, ZA, GS, SS, ES, LK, SD, SR, SJ, SZ, SE, CH, SY, TW, TJ, TZ, TH, TL, TG, TK, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, GB, UM, UY, UZ, VU, VE, VN, VG, VI, WF, EH, YE, ZM, ZW, US Indicates if the redirection has to open in the iframe
false
Indicates if external vault is enabled or not.
Show child attributes
Show child attributes
"5411"
A wrapper type for merchant country codes that provides validation and conversion functionality.
This type stores a country code as a string and provides methods to validate it
and convert it to a Country enum variant.
enable, skip Merchant Connector id to be stored for billing_processor connector
Flag to enable Level 2 and Level 3 processing data for card transactions
Response
Profile Updated
The identifier for Merchant Account
64"y3oqhf46pyzuxjbcn2giaqnb44"
The identifier for profile. This must be used for creating merchant accounts, payments and payouts
64"pro_abcdefghijklmnopqrstuvwxyz"
Name of the profile
64A boolean value to indicate if payment response hash needs to be enabled
true
A boolean value to indicate if redirect to merchant with http post needs to be enabled
true
Indicates if tax_calculator connector is enabled or not.
If set to true tax_connector_id will be checked.
Indicates if network tokenization is enabled or not.
false
Indicates if click to pay is enabled or not.
false
Indicates if clear pan retries is enabled or not.
enable, skip The URL to redirect after the completion of the operation
255"https://www.example.com/success"
Refers to the hash key used for calculating the signature for webhooks and redirect response. If the value is not provided, a value is automatically generated.
Show child attributes
Show child attributes
Metadata is useful for storing additional, unstructured information on an object.
Verified Apple Pay domains for a particular profile
Client Secret Default expiry for all payments created under this profile
900
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
A boolean value to indicate if customer shipping details needs to be collected from wallet connector only if it is required field for connector (Eg. Apple Pay, Google Pay etc)
false
A boolean value to indicate if customer billing details needs to be collected from wallet connector only if it is required field for connector (Eg. Apple Pay, Google Pay etc)
false
A boolean value to indicate if customer shipping details needs to be collected from wallet connector irrespective of connector required fields (Eg. Apple pay, Google pay etc)
false
A boolean value to indicate if customer billing details needs to be collected from wallet connector irrespective of connector required fields (Eg. Apple pay, Google pay etc)
false
Indicates if the MIT (merchant initiated transaction) payments can be made connector
agnostic, i.e., MITs may be processed through different connector than CIT (customer
initiated transaction) based on the routing rules.
If set to false, MIT will go through the same connector as the CIT.
Object for GenericLinkUiConfig
Show child attributes
Show child attributes
These key-value pairs are sent as additional custom headers in the outgoing webhook request.
Will be used to determine the time till which your payment will be active once the payment session starts
x >= 0900
create, confirm Merchant Connector id to be stored for tax_calculator connector
Indicates if CVV should be collected during payment or not.
Product authentication ids
Show child attributes
Show child attributes
Indicates if debit routing is enabled or not
AF, AX, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BQ, BA, BW, BV, BR, IO, BN, BG, BF, BI, KH, CM, CA, CV, KY, CF, TD, CL, CN, CX, CC, CO, KM, CG, CD, CK, CR, CI, HR, CU, CW, CY, CZ, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, VA, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KP, KR, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MK, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, MM, NA, NR, NP, NL, NC, NZ, NI, NE, NG, NU, NF, MP, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, RE, RO, RU, RW, BL, SH, KN, LC, MF, PM, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SX, SK, SI, SB, SO, ZA, GS, SS, ES, LK, SD, SR, SJ, SZ, SE, CH, SY, TW, TJ, TZ, TH, TL, TG, TK, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, GB, UM, UY, UZ, VU, VE, VN, VG, VI, WF, EH, YE, ZM, ZW, US Indicates if the redirection has to open in the iframe
false
Indicates if external vault is enabled or not.
Show child attributes
Show child attributes
"5411"
A wrapper type for merchant country codes that provides validation and conversion functionality.
This type stores a country code as a string and provides methods to validate it
and convert it to a Country enum variant.
monitoring, smart, cascading Merchant Connector id to be stored for billing_processor connector
Flag to enable Level 2 and Level 3 processing data for card transactions